Description

1. The standard identifies addCause, but its use should be explicitly defined by requirements associated to the application. The use
and the expected behavior may be different for CB or disconnectors and also depend on other criteria.

example: "invalidPosition": depending on the object, a rejection of the command may be wished for a disconnector, but not for an
opening command of a CB.

2. Besides, some cases has to be clarified:

25 "none" : why is this addCause necessary, normally they are associated at a refusal. Clarify use?

23 "abortion by communication loss": this addCause cannot be sent in case of loss of communication. Clarify use. Log?

26 "inconsistent parameter" conform if used for test of parameters of command or for sequence number of command (cybersecurity)
20 "non access authority" -> which are the associated controls?

=> Associated controls need to be explicitly specified for each addCause for interoperability reasons. Specially important for 20 and
26.

3. At least, how to access to addCause for other functions than the client and server concerned. Proposal : creation of attribute
ENUM associated to addCause ?

Proposal descriptions

1. The standard identifies addCause, but its use should be explicitly defined by requirements associated to the application. The use
and the expected behavior may be different for CB or disconnectors and also depend on other criteria.

example: "invalidPosition": depending on the object, a rejection of the command may be wished for a disconnector, but not for an
opening command of a CB.

2. Besides, some cases has to be clarified:

25 "none" : why is this addCause necessary, normally they are associated at a refusal. Clarify use?

23 "abortion by communication loss": this addCause cannot be sent in case of loss of communication. Clarify use. Log?

26 "inconsistent parameter" conform if used for test of parameters of command or for sequence number of command (cybersecurity)
20 "non access authority" -> which are the associated controls?

=> Associated controls need to be explicitly specified for each addCause for interoperability reasons. Specially important for 20 and
26.

Which addCause to use for cb blocked due to low SF6 pressure?

Is it expected to use addCause "Blocked by Process" (9) or "Blocked-by-Command” (24)7?

The semantic of 24 implies a user operation, but is attached to CmdBlk. In the description of the use of CmdBlk, one can understand
that the command could also be blocked by a signal (not necessarily user). It would be advantageous to clarify this point.

Proposal:

- use of addCause 24 only for blocking by operator and cause 9 for blocking related to signals form process.

- indicate that CmdBIk could also be associated to add cause 9

3. At least, how to access to addCause for other functions than the client and server concerned. Proposal : creation of attribute
ENUM associated to addCause ?
Related issues:
Copied to 61850-7-5 and 61850-7-500 - IEC61850-7-5 #6408: Clarification of ad... New 05/21/2021 11/21/2021

History

#1 - 05/25/2021 02:26 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#2 - 09/28/2021 04:19 AM - Maud Metrley

- Proposal descriptions updated

#3 - 09/28/2021 10:06 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from Yes to No

- Issue #1: In the PIXIT there is an explanation of addCause but in IED view, not for every controllable data object. "invalidPosition" indicates that the
position has not been reached, but the command has been executed. Herb will talk with Richard Schimmel about 2.1 conformance test.

- Issue #2:

- addCause 23: To be used in LTRK, that can be logged or reported.

- addCause 26: Different parameter between Selection and Execution

- hich addCause to use for cb blocked due to low SF6 pressure? --> addCause 9

- Issue #3: It is exposed by LTRK

7-2 Ed2.1 has increased explanation on AddCause. Table 21. RTE to take look on that.

#4 - 09/28/2021 10:06 AM - Carlos Rodriguez del Castillo
- Due date set to 11/21/2021
- Category set to Standard clarification required

- Status changed from New to In Progress

#5 - 09/29/2021 03:51 AM - Carlos Rodriguez del Castillo
- ID set to 49
- TF Unique ID set to 49 # RTE

TF Unique ID set

#6 - 06/14/2022 10:42 AM - Vladan Cvejic
- Status changed from In Progress to Resolved

- Standard(s) set to IEC 61850-7-5

Proposal:
Issue to be addressed by 7-5 TF.

#7 - 06/14/2022 10:44 AM - Vladan Cvejic

- Proposal descriptions updated

#8 - 05/09/2023 09:32 AM - Carlos Rodriguez del Castillo

- Needs More Information set to No

#9 - 05/09/2023 09:33 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#10 - 06/05/2023 01:58 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from Yes to No

#11 - 06/20/2023 08:37 AM - Vladan Cvejic
- Copied to IEC61850-7-5 #6408: Clarification of addCause added
